package de.ozgcloud.archive.common.user;

import java.util.Optional;

import org.mapstruct.Mapper;

import de.ozgcloud.apilib.user.OzgCloudUserId;

@Mapper
public interface OzgCloudUserIdMapper {

	default OzgCloudUserId fromString(Optional<String> id) {
		return id.map(this::fromString).orElse(null);
	}

	default OzgCloudUserId fromString(String id) {
		return OzgCloudUserId.from(id);
	}
}
