package de.ozgcloud.archive.export;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.validation.annotation.Validated;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Configuration
@ConfigurationProperties("ozgcloud.xdomea")
@Validated
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class XdomeaProperties {

	private String behoerdenschluessel;
	private String behoerdenschluesselUri;
	private String behoerdenschluesselVersion;
}
