package de.ozgcloud.archive.postfach;

import java.time.ZonedDateTime;
import java.util.List;

import de.ozgcloud.common.binaryfile.FileId;
import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Builder
@Getter
public class PostfachMail {

	private String id;
	private String mailBody;
	private String createdBy;
	private Direction direction;
	private ZonedDateTime createdAt;
	private ZonedDateTime sentAt;
	@Singular
	private List<FileId> attachments;

	public enum Direction {
		IN, OUT
	}
}
