package de.ozgcloud.archive.vorgang;

import org.mapstruct.AnnotateWith;
import org.mapstruct.AnnotateWith.Element;
import org.mapstruct.Mapper;
import org.springframework.stereotype.Component;

import de.ozgcloud.archive.ArchiveManagerConfiguration;
import de.ozgcloud.vorgang.common.grpc.GrpcFormDataMapper;
import de.ozgcloud.vorgang.vorgang.GrpcVorgangWithEingang;

@Mapper(uses = GrpcFormDataMapper.class)
@AnnotateWith(value = Component.class, elements = @Element(strings = ArchiveManagerConfiguration.VORGANG_WITH_EINGANG_MAPPER_NAME))
interface VorgangWithEingangMapper {

	VorgangWithEingang fromGrpc(GrpcVorgangWithEingang grpcVorgangWithEingang);

}
