package de.ozgcloud.archive.common.command;

import de.ozgcloud.archive.common.command.CommandWithPrevious.CommandWithPreviousBuilder;

public class CommandWithPreviousTestFactory {

	public static final ArchiveManagerCommand COMMAND = CommandTestFactory.create();
	public static final ArchiveManagerCommand PREVIOUS_COMMAND = CommandTestFactory.create();

	public static CommandWithPrevious create() {
		return createBuilder().build();
	}

	public static CommandWithPreviousBuilder createBuilder() {
		return new CommandWithPreviousBuilder()
				.command(COMMAND)
				.previous(PREVIOUS_COMMAND);
	}
}
