package de.ozgcloud.archive.common.user;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

public class UserProfileTestFactory {

	public static final String USER_ID = UUID.randomUUID().toString();
	public static final String FIRSTNAME = LoremIpsum.getInstance().getName();
	public static final String LASTNAME = LoremIpsum.getInstance().getName();
	public static final String FULLNAME = String.format("%s %s", FIRSTNAME, LASTNAME);

	public static UserProfile create() {
		return createBuilder().build();
	}

	public static UserProfile.UserProfileBuilder createBuilder() {
		return UserProfile.builder()
				.firstName(FIRSTNAME)
				.lastName(LASTNAME);
	}

}
