package de.ozgcloud.archive.kommentar;

import de.ozgcloud.vorgang.vorgangAttachedItem.GrpcFindVorgangAttachedItemResponse;
import de.ozgcloud.vorgang.vorgangAttachedItem.GrpcVorgangAttachedItem;

class GrpcFindVorgangAttachedItemResponseTestFactory {

	public static final GrpcVorgangAttachedItem ATTACHED_ITEM = GrpcKommentarTestFactory.create();

	public static GrpcFindVorgangAttachedItemResponse create() {
		return createBuilder().build();
	}

	public static GrpcFindVorgangAttachedItemResponse.Builder createBuilder() {
		return GrpcFindVorgangAttachedItemResponse.newBuilder()
				.addVorgangAttachedItems(ATTACHED_ITEM);
	}
}
