package de.ozgcloud.archive.postfach;

import java.util.List;

import de.ozgcloud.archive.file.OzgFile;
import de.ozgcloud.archive.file.OzgFileTestFactory;
import de.ozgcloud.archive.vorgang.ZustaendigeStelleTestFactory;

class PostfachMailExportInputTestFactory {

	final static PostfachMail POSTFACH_MAIL = PostfachMailTestFactory.create();
	final static String ORGANISATIONSEINHEITEN_ID = ZustaendigeStelleTestFactory.ORGANISATIONSEINHEITEN_ID;
	final static List<OzgFile> ATTACHMENTS = List.of(OzgFileTestFactory.create());

	static PostfachMailExportInput create() {
		return new PostfachMailExportInput(POSTFACH_MAIL, ORGANISATIONSEINHEITEN_ID, ATTACHMENTS);
	}

}
