package de.ozgcloud.archive.bescheid;

import java.util.List;

import de.ozgcloud.common.binaryfile.FileId;
import lombok.Builder;
import lombok.Getter;

@Builder
@Getter
class Bescheid {

	private String id;
	private Boolean bewilligt;
	private List<FileId> attachments;
	private String bescheidDocument;
	private BescheidStatus status;
	private String nachrichtSubject;
	private String nachrichtText;
	private SendBy sendBy;
	private SentInfo sentInfo;
}
