package de.ozgcloud.archive.file;

import de.ozgcloud.common.binaryfile.FileId;
import lombok.Builder;
import lombok.EqualsAndHashCode;
import lombok.Getter;

@Builder
@Getter
@EqualsAndHashCode(onlyExplicitlyIncluded = true)
public class OzgFile {

	@EqualsAndHashCode.Include
	private FileId id;

	@EqualsAndHashCode.Include
	private String name;

	private String contentType;
}
