package de.ozgcloud.archive.vorgang;

import java.util.Collections;

import org.springframework.stereotype.Component;

import de.xoev.xdomea.AnwendungsspezifischeErweiterungType;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@Component
class AnwendungsspezifischeErweiterungTypeCreator {

	static final String KENNUNG = "IDOZGCloud1234567";
	static final String NAME = "Anwendungsspezifische Erweiterung OZGCloud Basis";

	private final FeldGruppeTypeCreator feldGruppeTypeCreator;

	public AnwendungsspezifischeErweiterungType create(VorgangWithEingang vorgang) {
		var ozgcloudErweiterungType = new AnwendungsspezifischeErweiterungType();
		ozgcloudErweiterungType.setKennung(KENNUNG);
		ozgcloudErweiterungType.setName(NAME);
		ozgcloudErweiterungType.getFeldgruppe().addAll(Collections.singleton(feldGruppeTypeCreator.create(vorgang)));
		return ozgcloudErweiterungType;
	}

}
