package de.ozgcloud.archive.bescheid;

import de.ozgcloud.document.bescheid.GrpcBescheid;
import de.ozgcloud.document.bescheid.GrpcGetAllBescheidResponse;

public class GrpcGetAllBescheidResponseTestFactory {

	public static final GrpcBescheid GRPC_BESCHEID = GrpcBescheidTestFactory.create();

	public static GrpcGetAllBescheidResponse create() {
		return createBuilder().build();
	}

	public static GrpcGetAllBescheidResponse.Builder createBuilder() {
		return GrpcGetAllBescheidResponse.newBuilder().addBescheid(GRPC_BESCHEID);
	}
}
