package de.ozgcloud.archive.bescheid;

import java.time.ZonedDateTime;
import java.util.UUID;

import de.ozgcloud.document.bescheid.GrpcSentInfo;

public class GrpcSentInfoTestFactory {

	public static final String SENT_AT = ZonedDateTime.now().toString();
	public static final String SENT_BY = UUID.randomUUID().toString();

	public static GrpcSentInfo create() {
		return createBuilder().build();
	}

	public static GrpcSentInfo.Builder createBuilder() {
		return GrpcSentInfo.newBuilder()
				.setSentAt(SENT_AT)
				.setSentBy(SENT_BY);
	}
}
