package de.ozgcloud.archive.bescheid;

import java.time.ZonedDateTime;
import java.util.UUID;

public class SentInfoTestFactory {
	public static final ZonedDateTime SENT_AT = ZonedDateTime.now();
	public static final String SENT_BY = UUID.randomUUID().toString();

	public static SentInfo create() {
		return createBuilder().build();
	}

	public static SentInfo.SentInfoBuilder createBuilder() {
		return SentInfo.builder()
				.sentAt(SENT_AT)
				.sentBy(SENT_BY);
	}
}
