package de.ozgcloud.archive.export;

import java.util.Set;

import de.ozgcloud.archive.file.OzgFile;
import de.ozgcloud.archive.file.OzgFileTestFactory;
import de.xoev.xdomea.AbgabeAbgabe0401;

class ExportDataTestFactory {

	public static final String EXPORT_FILENAME = "file.zip";
	public static final OzgFile OZG_FILE = OzgFileTestFactory.create();
	public static final AbgabeAbgabe0401 ABGABE = AbgabeAbgabe0401TestFactory.create();

	public static ExportData create() {
		return createBuilder().build();
	}

	public static ExportData.ExportDataBuilder createBuilder() {
		return ExportData.builder()
				.exportFilename(EXPORT_FILENAME)
				.abgabe(ABGABE)
				.exportFiles(Set.of(OZG_FILE));
	}
}
