package de.ozgcloud.archive.export;

import de.ozgcloud.archive.grpc.export.GrpcExportVorgangRequest;
import de.ozgcloud.archive.grpc.export.GrpcExportVorgangRequest.Builder;
import de.ozgcloud.archive.vorgang.VorgangWithEingangTestFactory;

public class GrpcExportVorgangRequestTestFactory {

	public static final String VORGANG_ID = VorgangWithEingangTestFactory.ID;

	public static GrpcExportVorgangRequest create() {
		return createBuilder()
				.build();
	}

	public static Builder createBuilder() {
		return GrpcExportVorgangRequest.newBuilder()
				.setVorgangId(VORGANG_ID);
	}

}
